summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChris <xchrisx@uber.space>2020-04-02 17:01:52 +0200
committerTDE Gitea <gitea@mirror.git.trinitydesktop.org>2020-04-02 20:50:32 +0000
commit62f76c555a28cd9be3f386b21e125d8894401dc4 (patch)
tree650439e2295d65cadcd8790ca590348edd1a02a3
parent53ffad05429ccd28027611559f28e161327a3393 (diff)
downloadtde-packaging-gentoo-62f76c55.tar.gz
tde-packaging-gentoo-62f76c55.zip
Live ebuilds: Add preliminary `SmartCardAuth` ebuild.
Signed-off-by: Chris <xchrisx@uber.space>
-rw-r--r--trinity-apps/smartcardauth/smartcardauth-9999.ebuild25
1 files changed, 25 insertions, 0 deletions
diff --git a/trinity-apps/smartcardauth/smartcardauth-9999.ebuild b/trinity-apps/smartcardauth/smartcardauth-9999.ebuild
new file mode 100644
index 00000000..19630b77
--- /dev/null
+++ b/trinity-apps/smartcardauth/smartcardauth-9999.ebuild
@@ -0,0 +1,25 @@
+# Copyright 2020 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+TRINITY_MODULE_TYPE="applications"
+
+inherit trinity-base-2
+
+DESCRIPTION="SmartCard login and LUKS decrypt"
+HOMEPAGE="http://trinitydesktop.org/"
+LICENSE="|| ( GPL-2 GPL-3 )"
+
+need-trinity
+
+SLOT="${TRINITY_VER}"
+
+IUSE+=" libressl"
+
+DEPEND+="
+ net-libs/gnutls
+ dev-libs/pkcs11-helper
+ !libressl? ( dev-libs/openssl:= )
+ libressl? ( dev-libs/libressl:= )
+"
+RDEPEND+=" ${DEPEND}"